## org.apache.cassandra.gms
Interface FailureDetectorMBean

All Known Implementing Classes:
  FailureDetector

    public interface FailureDetectorMBean

Method Summary
`void` `dumpInterArrivalTimes()`
`java.lang.String` `getAllEndpointStates()`
`java.lang.String` `getEndpointState(java.lang.String address)`
`int` `getPhiConvictThreshold()`
`java.util.Map<java.lang.String,java.lang.String>` `getSimpleStates()`
`void` `setPhiConvictThreshold(int phi)`

Method Detail

### dumpInterArrivalTimes

    void dumpInterArrivalTimes()

### setPhiConvictThreshold

    void setPhiConvictThreshold(int phi)

### getPhiConvictThreshold

    int getPhiConvictThreshold()

### getAllEndpointStates

    java.lang.String getAllEndpointStates()

### getEndpointState

    java.lang.String getEndpointState(java.lang.String address)
                                      throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### getSimpleStates

    java.util.Map<java.lang.String,java.lang.String> getSimpleStates()

Copyright © 2012 The Apache Software Foundation